{% load applications_tags %}
<dialog id="planner-modal-request-availabilities" class="modal" open>
  <div class="modal-box">
    <form method="dialog">
      <button class="btn btn-sm btn-circle btn-ghost absolute right-2 top-2">✕</button>
    </form>
    <h3 class="text-lg">Request Availabilities</h3>
    <p>
      {{ volunteer.name }} will receive an email with a link to update their
      availability for the following operations:
    </p>
    <table class="table table-zebra">
      <thead>
        <tr>
          <th>Operation</th>
          <th>Date</th>
          <th>Previous answer</th>
        </tr>
      </thead>
      <tbody>
        {% for entry in entries %}
          <tr>
            <td>{{ entry.operation.name }}</td>
            <td class="whitespace-nowrap">
              {{ entry.operation.start_date|date:"DATE_FORMAT" }} - {{ entry.operation.end_date|date:"DATE_FORMAT" }}
            </td>
            <td>
              {% if entry.last_response %}
                {{ entry.last_response.availability.get_availability_display|title }}
                {% if entry.last_response.outdated %}(outdated){% endif %}
              {% endif %}
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
    The email will be send to {{ volunteer.email }}
    <form action="{% url "volunteer_request_availabilities" volunteer_id=volunteer.pk %}"
          method="post">
      {% csrf_token %}
      <button name="confirm"
              class="btn btn-primary"
              type="submit"
              value="Send inquiry">Send inquiry</button>
    </form>
  </div>
</dialog>
